Summary:	A powerful, fast and reliable backup & sync tool
Name:		luckybackup
Version:	0.5.0
Release:	%mkrel 1
License:	GPLv3
Group:		Archiving/Backup
Url:		http://luckybackup.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/sourceforge/luckybackup/luckybackup-%{version}.tar.xz
BuildRequires:	qttools5
BuildRequires:  lib64qt5core-devel
BuildRequires:  lib64qt5gui-devel
BuildRequires:  lib64qt5widgets-devel
BuildRequires:  lib64qt5network-devel
Requires:	rsync

%description
luckyBackup is an application that backs-up and/or synchronizes any
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not
all data), safe (keeps your data safe by checking all declared directories
before proceeding in any data manipulation ), reliable and fully customizable.

%prep
%setup -q

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Backup" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%files
%{_bindir}/%{name}
%{_bindir}/%{name}-pkexec
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/polkit-1/actions/net.luckybackup.su.policy
%{_mandir}/man8/*
%{_defaultdocdir}/%{name}/


%changelog
* Sat Mar 02 2019 tex 0.5.0-1pclos2019
- new qt5 port

* Mon Dec 18 2017 Zen Subz <techars21 at gmail dot com> - 0.4.9-1pclos2017
- Use polkit, custom icon for menufile
- Update to latest release

* Sun Dec 21 2015 bb <bb> 0.4.8-2pclos2104
- rebuild

* Sat Mar 29 2014 bb <bb> 0.4.8-1pclos2014
- update

* Tue Mar 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.7-1_archie_2012
- 0.4.7
